% this simple script will run the Bos_Parzen or Bos_KNN on data in which one dimension is
% removed... it will remove each dimension once, test on that data, and
% iterate through all dimensions...
%
% jeevan@media.mit.edu

% DO_PARZEN = 1;
DO_KNN = 0;
NUM_DIMS = 9;

if (DO_KNN ~= 1)
    DO_PARZEN = 1;
end


trainData = red_jim_train;
testData = red_jim_test;

for i = 1:NUM_DIMS
    trainData(i,:) = [];
    testData(i,:) = [];
    if (DO_KNN)
        BoS_KNN(trainData,testData);
    else
        BoS_Parzen(trainData,testData);
    end
    
    
end %i